.product-details{
  padding-left: 0;
  padding-right: 0;
  position: relative;
  z-index: 997;
}

.product-details > div{
  display: inline-block;
  width: 100%;
  padding: 0;
}

.product-details .details-nav{
  height: 60px;
  background: linear-gradient(270deg, #198641 0%, #015729 100%);
  position: sticky;
  top: 80px;
  z-index: 3;
}

.product-details .details-nav .container div{
  color: #fff;
  font-family: dinpro-bold, sans-serif;
  font-size: 14px;
  text-transform: uppercase;
  display: flex;
  align-items: center;
  gap: 5px;
  cursor: pointer;
  margin-right: 35px;
}

.product-details .details-container{
  padding-top: 20px;
  margin-bottom: 80px;
}

.product-details div.right{
  position: sticky;
  top: 160px;
  background: #F0F0F0;
  padding: 38px;
}

.product-details .right .badges{
  display: flex;
  align-items:  center;
  position: absolute;
  top: 0;
  right: 0;
}

.product-details .right .new-badge{
  height: 40px;
  display: flex;
  align-items: center;
  color: #00BE61;
  font-family: dinpro-bold, sans-serif;
  font-size: 18px;
  margin-right: 10px;
}

.product-details .right .sale-badge {
  width: 40px;
  height: 40px;
  background: #C72B2E;
  align-items: center;
  justify-content: center;
  display: flex;
}

.product-details .right .sale-badge img{
  width: 25px;
  height: 25px;
}

.product-details .right .external-id{
  font-family: dinpro-bold, sans-serif;
  font-size: 16px;
  line-height: 21px;
  color: #4B4B4B;
}

.product-details .right .description{
  font-family: dinpro-bold, sans-serif;
  font-size: 28px;
  line-height: 32px;
  color: #4B4B4B;
  margin-top: 0;
  margin-bottom: 0;
}

.product-details .right .specific{
  color: #9D9D9D;
  font-weight: 400;
  font-size: 18px;
  line-height: 21px;
  margin-top: 5px;
}

.product-details .right .price-label{
  color: #4B4B4B;
  font-size: 16px;
  margin-bottom: 5px;
}

.product-details .right .price{
  color: #198641;
  font-size: 22px;
  font-family: pt-sans-bold, sans-serif;
}

.product-details .right .price-list-visibility-label{
  text-transform: uppercase;
  color: #575656;
  font-size: 10px;
  line-height: 12px;
  text-align: right;
}

.product-details .right .price-list-visibility svg{
  fill: #9D9D9D;
  cursor: pointer;
}

.product-details .right button.add-to-cart{
  width: 100%;
  font-family: dinpro-light, sans-serif;
}

.product-details .right .add-to-cart-container{
  flex-flow: wrap;
}

.product-details .right .add-to-cart-container input.qty,
.product-details .right .add-to-cart-container input.size{
  height: 45px;
  width: 70px;
  text-align: center;
  color: #9D9D9D;
  border: 1px solid #9D9D9D;
  border-radius: 0;
  margin-left: 10px;
  margin-right: 5px;
}

.product-details .right .add-to-cart-container .qty-minus,
.product-details .right .add-to-cart-container .qty-plus{
  position: absolute;
  top: 0;
  bottom: 0;
  color: #9D9D9D;
  font-size: 17px;
  font-family:  dinpro-light, sans-serif;
  cursor: pointer;
  display: flex;
  align-items: center;
  margin-top: -3px;
}

.product-details .right .add-to-cart-container .qty-minus{
  left: 15px;
}

.product-details .right .add-to-cart-container .qty-plus{
  right: 10px;
}

.product-details .right .stocks table{
  width: auto;
}

.product-details .right .stocks table tr td{
  text-align: left;
  color: #4B4B4B;
  font-size: 14px;
  padding-bottom: 5px;
}

.product-details .right .stocks table tr td:first-child{
  padding-right: 20px;
}

.product-details .right .stocks table tr td.in-stock{
  color: #198641;
}

.product-details .block-title-container{
  position: relative;
  margin-top: 80px;
  margin-bottom: 10px;
}

.product-details .block-title{
  color: #9D9D9D;
  font-family: dinpro-bold, sans-serif;
  font-size: 14px;
  text-transform: uppercase;
  background: #fff;
  padding-left: 0;
  padding-right: 10px;
  z-index: 2;
  position: relative;
  display: inline-block;
}

.product-details .block-title-container .line{
  position: absolute;
  top: 50%;
  left: 0;
  right: 0;
  height: 1px;
  background: #9D9D9D;
  z-index: 1;
}

.product-details .specifics .specific-row{
  color: #4B4B4B;
  font-weight: 400;
  font-size: 16px;
  line-height: 17px;
  border-bottom: 1px solid #ddd;
  min-height: 40px;
  padding: 4px 10px;
}

.product-details .specifics .specific-row .specific-value{
  text-align: right;
}

.stock_person_filled{
  fill: #008f49;
}

.stock_person_empty{
  fill: #c72b2e;
}

.product-details .details-container img{
  max-width: 100%;
  height: auto;
}

.product-details #details table tr td:first-of-type{
  font-family: pt-sans-bold, sans-serif;
}

.product-details #details table tr td{
  width: 50%;
  vertical-align: top;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  border-bottom: 1px solid #e3e3e3;
  padding: 10px 20px 7px 0;
  font-size: 13px;
  line-height: 15px;
  color: #454545;
}

.product-details #details table tr td strong,
.product-details .productDetailsPages strong{
  font-family: pt-sans-bold, sans-serif !important;
  font-weight: normal !important;
}

.product-details #catalogs .catalog{
  min-height: 50px;
  text-decoration: none;
  color: #4B4B4B;
  font-weight: 400;
  border-bottom: 1px solid #ddd;
  padding-left: 10px;
  padding-right: 10px;
}

.product-details #catalogs .catalog:hover{
  background: #F0F0F0;
  transition: all 0.2s;
}

.product-details #catalogs .catalog:hover svg{
  fill: #198641;
  transition: all 0.2s;
}

.product-details .details-container .block-title2{
  color: #4B4B4B;
  font-family: pt-sans-bold, sans-serif;
  font-size: 22px;
  margin-bottom: 20px;
  margin-top: 20px;
  display: inline-block;
  width: 100%;
}

.product-details .image-slider{
  position: relative;
  display: none;
  margin-bottom: 20px;
}

.product-details .image-slider.slick-initialized{
  display: inline-block;
}

.product-details .image-slider .slick-arrow{
  position: absolute;
  top: 50%;
  background: #4B4B4B;
  width: 40px;
  height: 40px;
  align-items: center;
  justify-content: center;
  z-index: 2;
  cursor: pointer;
  fill: none;
  color: #E7E7E7;
  padding: 10px;
  display: none !important;
}

.product-details .image-slider:hover .slick-arrow{
  display: flex !important;
}

.product-details .image-slider .slick-arrow.slick-disabled{
  opacity: 0.25;
}

.product-details .image-slider .slick-arrow.left-arrow{
  left: 0;
  transform: translateY(-50%) rotate(180deg);
}

.product-details .image-slider .slick-arrow.right-arrow{
  right: 0;
  transform: translateY(-50%);
}

.product-details .image-slider .slick-track{
  display: flex;
  align-items: center;
}

.product-details .thumbs{
  display: flex;
  gap: 18px;
  overflow: hidden;
  margin-top: 18px;
}

.product-details .thumbs .thumb{
  width: 82px;
  height: 82px;
  display: flex;
  align-items: center;
  cursor: pointer;
  border: 1px solid transparent;
}

.product-details .thumbs .thumb.active{
  border: 1px solid #198641;
}

.product-details .thumbs .thumb img{
  width: 100%;
}

.category-video .category-video-cover{
  cursor: pointer;
}

.category-video .play-button,
.thumb .play-button{
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
  font-size: 26px;
  color: #fff;
  background: #C72B2E;
  padding: 10px 20px;
  border-radius: 6px;
}

.thumb .play-button{
  padding: 2px 10px;
  font-size: 8px;
}

.category-video.loaded .category-video-cover > img{
  display: none;
}

.category-video.loaded .play-button{
  display: none;
}

#more-details .detailed-info{
  max-height: 90px;
  overflow: hidden;
  transition: max-height 0.3s ease;
}

#more-details .info-overlay{
  height: 50px;
  margin-top: -50px;
  background: linear-gradient(180deg, rgba(255, 255, 255, 0) 0%, #FFFFFF 100%);
}

#more-details .toggle-button{
  font-family: dinpro-bold, sans-serif;
  color: #454545;
  cursor: pointer;
  transition: all 0.3s ease;
  margin-top: 15px;
  text-transform: uppercase;
  font-size: 14px;
  line-height: 14px;
}

#more-details .toggle-button svg{
  transform: rotate(90deg);
  margin-left: 2px;
  fill: #454545;
}

#more-details .toggle-button.opened svg{
  transform: rotate(-90deg);
}

#more-details .toggle-button:hover{
  color: #198641;
}

#more-details .toggle-button:hover svg{
  fill: #198641;
}

.product-details .mobile-header{
  display: none;
}

.related-news{
  margin-bottom: 70px;
}

.related-news .related-news-title{
  font-family: dinpro-bold, sans-serif;
  color: #4b4b4b;
  margin-top: 50px;
  margin-bottom: 50px;
}

.related-news .block-title-container{
  margin-top: 0;
  margin-bottom: 15px;
}

.related-news .block-title{
  font-size: 22px;
  font-family: dinpro-light, sans-serif;
}

.related-news .news-item{
  gap: 20px;
  padding: 15px 0;
  border-bottom: 1px solid #ddd;
}

.related-news .news-item:hover{
  background: #F0F0F0;
  transition: all 0.2s;
}

.related-news .news-title{
  font-family: pt-sans-bold, sans-serif;
  font-size: 16px;
  color: #4b4b4b;
  margin-bottom: 0;
}

.related-news .news-lead{
  color: #9D9D9D;
  font-size: 14px;
  font-weight: 400;
}

.details-container *:has(> iframe){
  aspect-ratio: 16 / 9;
  width: 100%;
}

.details-container iframe{
  width: 100% !important;
  height: 100% !important;
  border: 0;
}

@media screen and (max-width: 1199px){

  .product-details .right .description{
    font-size: 24px;
  }

  .product-details .right .prices{
    margin-top: 30px !important;
  }

  .product-details .right .price{
    font-size: 20px;
  }

}

@media screen and (max-width: 991px){
  .product-details .details-nav{
    top: 50px;
  }
}

@media screen and (max-width: 767px){

  .product-details .details-nav{
    display: none;
  }

  .product-details .mobile-header{
    display: flex;
    align-items: center;
    gap: 15px;
    flex-direction: row;
    background: linear-gradient(270deg, #198641 0%, #015729 100%);
    padding: 10px 15px;
    font-size: 16px;
    line-height: 20px;
    position: sticky;
    top: 50px;
    margin-bottom: 15px;
    color: #E7E7E7;
    z-index: 3;
  }

  .product-details .mobile-header svg{
    transform: rotate(180deg);
    fill: #ddd;
  }

  .product-details .mobile-header h1{
    font-family: dinpro-bold, sans-serif;
    font-size: 18px;
    line-height: 21px;
    color: #fff;
    margin-top: 0;
    margin-bottom: 5px;
  }

  .product-details .mobile-header .sku{
    font-family: pt-sans-bold, sans-serif;
    font-size: 16px;
    margin-right: 15px;
  }

  .product-details .thumbs{
    display: none;
  }

  .product-details div.right{
    position: fixed;
    top: auto;
    bottom: 10px;
    left: 10px;
    right: 10px;
    width: auto;
    box-shadow: 0 5px 10px 0 #00000026;
    border-radius: 10px;
    padding: 10px;
    z-index: 3;
  }

  .product-details div.right .external-id,
  .product-details div.right .description,
  .product-details div.right .price-list-container,
  .product-details div.right .price-list-visibility{
    display: none;
  }

  .product-details div.right .prices{
    margin-top: 0 !important;
  }

  .product-details .right .stocks{
    display: flex;
    align-items: center;
    gap: 10px;
  }

  .product-details .right .stocks .stocks-title{
    width: auto;
    margin-bottom: 0 !important;
    font-size: 16px;
  }

  .product-details div.right .stocks table tbody{
    display: flex;
    gap: 10px;
  }

  .product-details .right .stocks table tr td:first-child{
    padding-right: 3px;
  }

  .product-details .right .stocks table tr td{
    padding-bottom: 0;
  }

  .product-details .right .add-to-cart-container{
    margin-top: 15px;
    margin-bottom: 15px;
    font-size: 14px;
  }

  .product-details .right .add-to-cart-container input.qty,
  .product-details .right .add-to-cart-container input.size{
    width: 50px;
    height: 40px;
  }

}